r"""
This module contains environment wrappers and models for various reinforcement learning environments.

## Overview

The environments module provides a collection of wrappers and models for popular reinforcement learning environments. These wrappers and models are designed to facilitate the integration of these environments with the bettermdptools library, enabling seamless experimentation and development of reinforcement learning algorithms.

## Key Components

- **Environment Wrappers**: Classes that wrap around existing environments to provide additional functionalities or modifications.
- **Environment Models**: Pre-built models for popular environments, including discretized versions for easier application of traditional RL algorithms.
"""
